# Android ANT+ API

This PluginLib library file, when included in your application, enables you to connect to and communicate with ANT+ devices through a high level API. It abstracts most of the heavy lifting of managing connections and decoding data. For use cases that are not addressed by existing ANT+ device profiles, developers must use the AntLib included in the ANT Android SDK to communicate directly with the ANT protocol and create and connect to custom ANT networks instead.

Note: To view the Javadoc information online, visit <http://www.thisisant.com/developer/resources/api-documentation/>

<i>Note about member-only features: As a benefit of ANT+ Membership, members get exclusive access to new profiles and features for a given time period. For more information see http://www.thisisant.com/business/go-ant/levels-and-benefits/. Once your ANT+ Membership is activated, the ANT+ Member-only version of the library can be obtained from http://www.thisisant.com/developer/resources/downloads/ in the member-only release section. </i>

## Contents

* PluginLib (.aar) - The library file to include in your project. Refer to special note above for information concerning accessing member-only features.
* PluginLib Javadoc (.zip) - The ANTlib Javadoc you can reference from your project
* FIT library (.jar) - referenced by several PluginLib functions dealing with ANTFS downloads and FIT files. Include this in your app when using those functions to prevent the compiler from complaining about missing references (For more information on FIT files and formats refer to the full featured FIT SDK download at <http://www.thisisant.com/resources/fit/>).

Documentation for the latest APIs can also be accessed online at <http://www.thisisant.com/APIassets/Android_ANT_plus_plugins_API/index.html>

## Changelog

See changelog in ANT SDK root folder readme
